Index: /trunk/BNC/src/bncclockrinex.cpp
===================================================================
--- /trunk/BNC/src/bncclockrinex.cpp	(revision 8083)
+++ /trunk/BNC/src/bncclockrinex.cpp	(revision 8084)
@@ -93,5 +93,5 @@
        << "PRN LIST" << endl;
 
-  _out << "     0    IGS08                                             "
+  _out << "     0    IGS14                                             "
        << "# OF SOLN STA / TRF" << endl;
 
Index: /trunk/BNC/src/bnchelp.html
===================================================================
--- /trunk/BNC/src/bnchelp.html	(revision 8083)
+++ /trunk/BNC/src/bnchelp.html	(revision 8084)
@@ -1009,5 +1009,5 @@
 Corrections and encodes them to RTCM Version 3 SSR messages to finally upload them to
 an Ntrip Broadcaster. The Broadcast Correction stream is referred to satellite
-Antenna Phase Center (APC) and reference system IGS08. Orbits are saved on disk
+Antenna Phase Center (APC) and reference system IGS14. Orbits are saved on disk
 in SP3 format and clocks are saved in Clock RINEX format.
 </li><br>
@@ -1019,5 +1019,5 @@
 product in RTCM Version 3 SSR messages and uploads that to an Ntrip
 Broadcaster. The Broadcast Correction stream is referred to satellite Antenna Phase Center (APC) and not to satellite
-Center of Mass (CoM). Its reference system is IGS08. Orbits are saved in SP3
+Center of Mass (CoM). Its reference system is IGS14. Orbits are saved in SP3
 format (referred to CoM) and clocks in Clock RINEX format.
 </li><br>
@@ -3809,9 +3809,9 @@
 Then, epoch by epoch:
 <ul>
-<li>Continuously receive the best available orbit and clock estimates for all satellites in XYZ Earth-Centered-Earth-Fixed IGS08 reference system. Receive them every epoch in plain ASCII format as provided by a real-time GNSS engine such as RTNET or generate them following a combination approach. </li>
+<li>Continuously receive the best available orbit and clock estimates for all satellites in XYZ Earth-Centered-Earth-Fixed IGS14 reference system. Receive them every epoch in plain ASCII format as provided by a real-time GNSS engine such as RTNET or generate them following a combination approach. </li>
 <li>Calculate XYZ coordinates from Broadcast Ephemeris orbits. </li>
-<li>Calculate differences dX,dY,dZ between Broadcast Ephemeris and IGS08 orbits. </li>
+<li>Calculate differences dX,dY,dZ between Broadcast Ephemeris and IGS14 orbits. </li>
 <li>Transform these differences into radial, along-track and out-of-plane corrections to Broadcast Ephemeris orbits. </li>
-<li>Calculate corrections to Broadcast Ephemeris clocks as differences between Broadcast Ephemeris clocks and IGS08 clocks. </li>
+<li>Calculate corrections to Broadcast Ephemeris clocks as differences between Broadcast Ephemeris clocks and IGS14 clocks. </li>
 <li>Encode Broadcast Ephemeris orbit and clock corrections in RTCM Version 3 format. </li>
 <li>Upload Broadcast Correction stream to Ntrip Broadcaster. </li>
@@ -3939,5 +3939,5 @@
 <p>
 <ul>
-<li>IGS08 which stands for the GNSS-based IGS realization of the International Terrestrial Reference Frame 2008 (ITRF2008), and</li>
+<li>IGS14 which stands for the GNSS-based IGS realization of the International Terrestrial Reference Frame 2014 (ITRF2014), and</li>
 <li>ETRF2000 which stands for the European Terrestrial Reference Frame 2000 adopted by EUREF, and</li>
 <li>NAD83 which stands for the North American Datum 1983 as adopted for the U.S.A., and</li>
@@ -3946,5 +3946,5 @@
 <li>SIRGAS95 which stands for the Geodetic Datum adopted e.g. for Venezuela, and</li>
 <li>DREF91 which stands for the Geodetic Datum adopted for Germany, and</li>
-<li>'Custom' which allows a transformation of Broadcast Corrections from the IGS08 system to any other system through specifying up to 14 Helmert Transformation Parameters.</li>
+<li>'Custom' which allows a transformation of Broadcast Corrections from the IGS14 system to any other system through specifying up to 14 Helmert Transformation Parameters.</li>
 </ul>
 </p>
@@ -3964,5 +3964,5 @@
 
 <p>
-<u>IGS08:</u> As the orbits and clocks coming from real-time GNSS engine are expected to be in the IGS08 system, no transformation is carried out if this option is selected.
+<u>IGS14:</u> As the orbits and clocks coming from real-time GNSS engine are expected to be in the IGS14 system, no transformation is carried out if this option is selected.
 </p>
 
@@ -4106,5 +4106,5 @@
 
 <p>
-<u>Custom:</u> Feel free to specify your own 14 Helmert Transformation parameters for transformations from IGS08/ITRF2008 into your own target system.
+<u>Custom:</u> Feel free to specify your own 14 Helmert Transformation parameters for transformations from IGS14/ITRF2008 into your own target system.
 </p>
 
@@ -4220,5 +4220,5 @@
 </p>
 <p>
-The following screenshot shows the encoding and uploading of a stream of precise orbits and clocks coming from a real-time network engine in 'RTNET' ASCII format. The stream is uploaded to Ntrip Broadcaster 'products.igs-ip.net'. It is referred to APC and IGS08. Uploaded data are locally saved in SP3 and Clock RINEX format. The SSR Provider ID is set to 3. The SSR Solution ID and the Issue of Data SSR are set to 1. Required Broadcast Ephemeris are received via stream 'RTCM3EPH'.
+The following screenshot shows the encoding and uploading of a stream of precise orbits and clocks coming from a real-time network engine in 'RTNET' ASCII format. The stream is uploaded to Ntrip Broadcaster 'products.igs-ip.net'. It is referred to APC and IGS14. Uploaded data are locally saved in SP3 and Clock RINEX format. The SSR Provider ID is set to 3. The SSR Solution ID and the Issue of Data SSR are set to 1. Required Broadcast Ephemeris are received via stream 'RTCM3EPH'.
 </p>
 <p><img src="IMG/screenshot26.png"/></p>
@@ -5085,5 +5085,5 @@
 <b>Upload Corrections Panel keys:</b>
    uploadMountpointsOut   {Upload corrections table [character string, semicolon separated list, each element in quotation marks, example:
-                          "www.igs-ip.net,2101,IGS01,pass,IGS08,0,/home/user/BNC$[GPSWD}.sp3,/home/user/BNC$[GPSWD}.clk,258,1,0;
+                          "www.igs-ip.net,2101,IGS01,pass,IGS14,0,/home/user/BNC$[GPSWD}.sp3,/home/user/BNC$[GPSWD}.clk,258,1,0;
                            www.euref-ip.net,2101,EUREF01,pass,ETRF2000,0,,,258,2,0"]}
    uploadIntr             {Length of SP3 and Clock RINEX file interval [character string: 1 min|2 min|5 min|10 min|15 min|30 min|1 hour|1 day]}
@@ -5144,5 +5144,5 @@
                            //user:pass@www.igs-ip.net:2101/FFMJ1 RTCM_3.1 DEU 50.09 8.66 no 2"
 (7) bnc --key cmbStreams "CLK11 BLG 1.0;CLK93 CNES 1.0"
-(8) bnc --key uploadMountpointsOut "products.igs-ip.net,98756,TEST,letmein,IGS08,2,/Users/weber/BNC${GPSWD}.clk,,33,3,2;
+(8) bnc --key uploadMountpointsOut "products.igs-ip.net,98756,TEST,letmein,IGS14,2,/Users/weber/BNC${GPSWD}.clk,,33,3,2;
                                     www.euref-ip.net,333,TEST2,aaaaa,NAD83,2,,,33,5,5"
 (9) bnc --key PPP/staTable "FFMJ1,100.0,100.0,100.0,100.0,100.0,100.0,0.1,3e-6,7777;
@@ -5243,9 +5243,9 @@
 <tr><td>IAG</td><td>International Association of Geodesy</td></tr>
 <tr><td>ICECAST</td><td>Streaming Media Server</td></tr>
-<tr><td>IGS08</td><td>IGS Reference Frame 2008</td></tr>
+<tr><td>IGS14</td><td>IGS Reference Frame 214</td></tr>
 <tr><td>IGS</td><td>International GNSS Service</td></tr>
 <tr><td>IOD</td><td>Issue of Data</td></tr>
 <tr><td>IP</td><td>Internet Protocol</td></tr>
-<tr><td>ITRF2008</td><td>International Terrestrial Reference Frame 2008</td></tr>
+<tr><td>ITRF2014</td><td>International Terrestrial Reference Frame 2014</td></tr>
 <tr><td>L3</td><td>Ionosphere-Free Linear Combination Of Phase Observations</td></tr>
 <tr><td>LAN</td><td>Local Area Network</td></tr>
Index: /trunk/BNC/src/bncmain.cpp
===================================================================
--- /trunk/BNC/src/bncmain.cpp	(revision 8083)
+++ /trunk/BNC/src/bncmain.cpp	(revision 8084)
@@ -253,5 +253,5 @@
       "Upload Corrections Panel keys:\n"
       "   uploadMountpointsOut   {Upload corrections table [character string, semicolon separated list, each element in quotation marks, example:\n"
-      "                          \"www.igs-ip.net,2101,IGS01,pass,IGS08,0,/home/user/BNC$[GPSWD}.sp3,/home/user/BNC$[GPSWD}.clk,258,1,0;\n"
+      "                          \"www.igs-ip.net,2101,IGS01,pass,IGS14,0,/home/user/BNC$[GPSWD}.sp3,/home/user/BNC$[GPSWD}.clk,258,1,0;\n"
       "                          www.euref-ip.net,2101,EUREF01,pass,ETRF2000,0,,,258,2,0\"]}\n"
       "   uploadIntr             {Length of SP3 and Clock RINEX file interval [character string: 1 min|2 min|5 min|10 min|15 min|30 min|1 hour|1 day]}\n"
@@ -311,5 +311,5 @@
       "//user:pass@www.igs-ip.net:2101/FFMJ1 RTCM_3.1 DEU 50.09 8.66 no 2\"\n"
       "(7) bnc --key cmbStreams \"CLK11 BLG 1.0;CLK93 CNES 1.0\"\n"
-      "(8) bnc --key uploadMountpointsOut \"products.igs-ip.net,98756,TEST,letmein,IGS08,2,/Users/weber/BNC${GPSWD}.clk,,33,3,2;"
+      "(8) bnc --key uploadMountpointsOut \"products.igs-ip.net,98756,TEST,letmein,IGS14,2,/Users/weber/BNC${GPSWD}.clk,,33,3,2;"
       "www.euref-ip.net,333,TEST2,aaaaa,NAD83,2,,,33,5,5\"\n"
       "(9) bnc --key PPP/staTable \"FFMJ1,100.0,100.0,100.0,100.0,100.0,100.0,0.1,3e-6,7777;"
Index: /trunk/BNC/src/bncsp3.cpp
===================================================================
--- /trunk/BNC/src/bncsp3.cpp	(revision 8083)
+++ /trunk/BNC/src/bncsp3.cpp	(revision 8084)
@@ -12,5 +12,5 @@
  * Created:    25-Apr-2008
  *
- * Changes:    
+ * Changes:
  *
  * -----------------------------------------------------------------------*/
@@ -35,5 +35,5 @@
   if (!_stream.good()) {
     throw "t_sp3File: cannot open file " + fileName;
-  }  
+  }
 
   while (_stream.good()) {
@@ -47,5 +47,5 @@
 // Constructor
 ////////////////////////////////////////////////////////////////////////////
-bncSP3::bncSP3(const QString& sklFileName, const QString& intr, int sampl) 
+bncSP3::bncSP3(const QString& sklFileName, const QString& intr, int sampl)
   : bncoutf(sklFileName, intr, sampl) {
   _inpOut    = output;
@@ -63,5 +63,5 @@
 // Write One Epoch
 ////////////////////////////////////////////////////////////////////////////
-t_irc bncSP3::write(int GPSweek, double GPSweeks, const QString& prn, 
+t_irc bncSP3::write(int GPSweek, double GPSweeks, const QString& prn,
                     const ColumnVector& xCoM, double sp3Clk) {
 
@@ -80,5 +80,5 @@
       }
 
-      // Print the new epoch 
+      // Print the new epoch
       // -------------------
       _out << "*  " << epoTime.datestr(' ') << ' ' << epoTime.timestr(8, ' ') << endl;
@@ -92,5 +92,5 @@
          << setw(14) << setprecision(6) << xCoM(3) / 1000.0
          << setw(14) << setprecision(6) << sp3Clk * 1e6 << endl;
-    
+
     return success;
   }
@@ -120,5 +120,5 @@
   double dayfrac;
   mjdFromDateAndTime(datTim, mjd, dayfrac);
-  
+
   int numEpo = _numSec;
   if (_sampl > 0) {
@@ -126,9 +126,9 @@
   }
 
-  _out << "#aP" << datTim.toString("yyyy MM dd hh mm").toAscii().data() 
+  _out << "#aP" << datTim.toString("yyyy MM dd hh mm").toAscii().data()
        << setw(12) << setprecision(8) << sec
-       << " " << setw(7) << numEpo << " ORBIT IGS08 HLM  IGS" << endl;
-
-  _out << "## " 
+       << " " << setw(7) << numEpo << " ORBIT IGS14 HLM  IGS" << endl;
+
+  _out << "## "
        << setw(4)  << GPSWeek
        << setw(16) << setprecision(8) << GPSWeeks
@@ -186,5 +186,5 @@
     t_sp3Sat* sp3Sat = new t_sp3Sat();
     istringstream in(_lastLine.substr(1).c_str());
-    in >> sp3Sat->_prn >> sp3Sat->_xyz(1) >> sp3Sat->_xyz(2) >> sp3Sat->_xyz(3) >> sp3Sat->_clk; 
+    in >> sp3Sat->_prn >> sp3Sat->_xyz(1) >> sp3Sat->_xyz(2) >> sp3Sat->_xyz(3) >> sp3Sat->_clk;
 
     if (sp3Sat->_xyz.norm_Frobenius() == 0.0) {
Index: /trunk/BNC/src/bncwindow.cpp
===================================================================
--- /trunk/BNC/src/bncwindow.cpp	(revision 8083)
+++ /trunk/BNC/src/bncwindow.cpp	(revision 8084)
@@ -1386,5 +1386,5 @@
   // WhatsThis, Upload Corrections
   // -----------------------------
-  _uploadTable->setWhatsThis(tr("<p>BNC can upload clock and orbit corrections to Broadcast Ephemeris (Broadcast Corrections) in RTCM Version 3 SSR format. You may have a situation where clocks and orbits come from an external Real-time Network Engine (1) or a situation where clock and orbit corrections are combined within BNC (2).</p><p>(1) BNC identifies a stream as coming from a Real-time Network Engine if its format is specified as 'RTNET' and hence its decoder string in the 'Streams' canvas is 'RTNET'. It encodes and uploads that stream to the specified Ntrip Broadcaster Host and Port</p><p>(2) BNC understands that it is expected to encode and upload combined Broadcast Ephemeris Corrections if you specify correction streams in the 'Combine Corrections' table.</p><p>To fill the 'Upload Corrections' table, hit the 'Add Row' button, double click on the 'Host' field to enter the IP or URL of an Ntrip Broadcaster and hit Enter. Then double click on the 'Port', 'Mount' and 'Password' fields to enter the Ntrip Broadcaster IP port (default is 80), the mountpoint and the stream upload password. An empty 'Host' option field means that you don't want to upload corrections.</p><p>Select a target coordinate reference System (e.g. IGS08) for outgoing clock and orbit corrections.</p><p>By default orbit and clock corrections refer to Antenna Phase Center (APC). Tick 'CoM' to refer uploaded corrections to Center of Mass instead of APC.</p><p>Specify a path for saving generated Broadcast Corrections plus Broadcast Ephemeris as SP3 orbit files. If the specified directory does not exist, BNC will not create such files. The following is a path example for a Linux system: /home/user/BNC${GPSWD}.sp3<br>Note that '${GPSWD}' produces the GPS Week and Day number in the filename.</p><p>Specify a path for saving generated Broadcast Correction clocks plus Broadcast Ephemeris clocks as Clock RINEX files. If the specified directory does not exist, BNC will not create Clock RINEX files. The following is a path example for a Linux system: /home/user/BNC${GPSWD}.clk<br>Note that '${GPSWD}' produces the GPS Week and Day number in the filename.</p><p>Finally, specify a SSR Provider ID (issued by RTCM), SSR Solution ID, and SSR Issue of Data number.</p><p>In case the 'Combine Corrections' table contains only one Broadcast Correction stream, BNC will add that stream content to the Broadcast Ephemeris to save results in files specified via SP3 and/or Clock RINEX file path. You should then define only the SP3 and Clock RINEX file path and no further option in the 'Upload Corrections' table. <i>[key: uploadMountpointsOut]</i></p>"));
+  _uploadTable->setWhatsThis(tr("<p>BNC can upload clock and orbit corrections to Broadcast Ephemeris (Broadcast Corrections) in RTCM Version 3 SSR format. You may have a situation where clocks and orbits come from an external Real-time Network Engine (1) or a situation where clock and orbit corrections are combined within BNC (2).</p><p>(1) BNC identifies a stream as coming from a Real-time Network Engine if its format is specified as 'RTNET' and hence its decoder string in the 'Streams' canvas is 'RTNET'. It encodes and uploads that stream to the specified Ntrip Broadcaster Host and Port</p><p>(2) BNC understands that it is expected to encode and upload combined Broadcast Ephemeris Corrections if you specify correction streams in the 'Combine Corrections' table.</p><p>To fill the 'Upload Corrections' table, hit the 'Add Row' button, double click on the 'Host' field to enter the IP or URL of an Ntrip Broadcaster and hit Enter. Then double click on the 'Port', 'Mount' and 'Password' fields to enter the Ntrip Broadcaster IP port (default is 80), the mountpoint and the stream upload password. An empty 'Host' option field means that you don't want to upload corrections.</p><p>Select a target coordinate reference System (e.g. IGS14) for outgoing clock and orbit corrections.</p><p>By default orbit and clock corrections refer to Antenna Phase Center (APC). Tick 'CoM' to refer uploaded corrections to Center of Mass instead of APC.</p><p>Specify a path for saving generated Broadcast Corrections plus Broadcast Ephemeris as SP3 orbit files. If the specified directory does not exist, BNC will not create such files. The following is a path example for a Linux system: /home/user/BNC${GPSWD}.sp3<br>Note that '${GPSWD}' produces the GPS Week and Day number in the filename.</p><p>Specify a path for saving generated Broadcast Correction clocks plus Broadcast Ephemeris clocks as Clock RINEX files. If the specified directory does not exist, BNC will not create Clock RINEX files. The following is a path example for a Linux system: /home/user/BNC${GPSWD}.clk<br>Note that '${GPSWD}' produces the GPS Week and Day number in the filename.</p><p>Finally, specify a SSR Provider ID (issued by RTCM), SSR Solution ID, and SSR Issue of Data number.</p><p>In case the 'Combine Corrections' table contains only one Broadcast Correction stream, BNC will add that stream content to the Broadcast Ephemeris to save results in files specified via SP3 and/or Clock RINEX file path. You should then define only the SP3 and Clock RINEX file path and no further option in the 'Upload Corrections' table. <i>[key: uploadMountpointsOut]</i></p>"));
   addUploadRowButton->setWhatsThis(tr("<p>Hit 'Add Row' button to add another line to the 'Upload Corrections' table.</p>"));
   delUploadRowButton->setWhatsThis(tr("<p>Hit 'Del Row' button to delete the highlighted line(s) from the 'Upload Corrections' table.</p>"));
@@ -2639,5 +2639,5 @@
       QComboBox* system = new QComboBox();
       system->setEditable(false);
-      system->addItems(QString(",IGS08,ETRF2000,NAD83,GDA94,SIRGAS95,SIRGAS2000,DREF91,Custom").split(","));
+      system->addItems(QString(",IGS14,ETRF2000,NAD83,GDA94,SIRGAS95,SIRGAS2000,DREF91,Custom").split(","));
       system->setFrame(false);
       _uploadTable->setCellWidget(iRow, iCol, system);
@@ -2720,5 +2720,5 @@
         QComboBox* system = new QComboBox();
         system->setEditable(false);
-        system->addItems(QString(",IGS08,ETRF2000,NAD83,GDA94,SIRGAS95,SIRGAS2000,DREF91,Custom").split(","));
+        system->addItems(QString(",IGS14,ETRF2000,NAD83,GDA94,SIRGAS95,SIRGAS2000,DREF91,Custom").split(","));
         system->setFrame(false);
         system->setCurrentIndex(system->findText(hlp[iCol]));