Index: branches/BNC_2.12/Example_Configs/00_Readme.txt
===================================================================
--- branches/BNC_2.12/Example_Configs/00_Readme.txt	(revision 8103)
+++ branches/BNC_2.12/Example_Configs/00_Readme.txt	(revision 8104)
@@ -63,5 +63,5 @@
 Some BNC options require antenna phase center variations as made available
 from IGS through so-called ANTEX files at ftp://igs.org/pub/station/general.
-An example ANTEX file 'igs08.atx' is part of the BNC package for convenience.
+An example ANTEX file 'igs14.atx' is part of the BNC package for convenience.
 
 The example configurations assume that no proxy protects your BNC host.
Index: branches/BNC_2.12/Example_Configs/10_PPPQuickStart.bnc
===================================================================
--- branches/BNC_2.12/Example_Configs/10_PPPQuickStart.bnc	(revision 8103)
+++ branches/BNC_2.12/Example_Configs/10_PPPQuickStart.bnc	(revision 8104)
@@ -123,5 +123,5 @@
 
 [PPP]
-antexFile=Input/igs08.atx
+antexFile=Input/igs14.atx
 audioResponse=
 corrFile=
Index: branches/BNC_2.12/Example_Configs/11_PPPPostProc.bnc
===================================================================
--- branches/BNC_2.12/Example_Configs/11_PPPPostProc.bnc	(revision 8103)
+++ branches/BNC_2.12/Example_Configs/11_PPPPostProc.bnc	(revision 8104)
@@ -123,5 +123,5 @@
 
 [PPP]
-antexFile=Input/igs08.atx
+antexFile=Input/igs14.atx
 audioResponse=
 corrFile=Input/CLK93194M.15C
Index: branches/BNC_2.12/Example_Configs/12_PPPGoogleMaps.bnc
===================================================================
--- branches/BNC_2.12/Example_Configs/12_PPPGoogleMaps.bnc	(revision 8103)
+++ branches/BNC_2.12/Example_Configs/12_PPPGoogleMaps.bnc	(revision 8104)
@@ -123,5 +123,5 @@
 
 [PPP]
-antexFile=Input/igs08.atx
+antexFile=Input/igs14.atx
 audioResponse=
 corrFile=
Index: branches/BNC_2.12/Example_Configs/13_SPPQuickStart.bnc
===================================================================
--- branches/BNC_2.12/Example_Configs/13_SPPQuickStart.bnc	(revision 8103)
+++ branches/BNC_2.12/Example_Configs/13_SPPQuickStart.bnc	(revision 8104)
@@ -126,5 +126,5 @@
 
 [PPP]
-antexFile=Input/igs08.atx
+antexFile=Input/igs14.atx
 audioResponse=
 corrFile=
Index: branches/BNC_2.12/Example_Configs/14_SaveSp3.bnc
===================================================================
--- branches/BNC_2.12/Example_Configs/14_SaveSp3.bnc	(revision 8103)
+++ branches/BNC_2.12/Example_Configs/14_SaveSp3.bnc	(revision 8104)
@@ -1,3 +1,3 @@
-[General]
+gs08[General]
 adviseFail=15
 adviseReco=5
@@ -109,5 +109,5 @@
 trafo_scr=
 trafo_t0=
-uploadAntexFile=Input/igs08.atx
+uploadAntexFile=Input/igs14.atx
 uploadEphHost=
 uploadEphMountpoint=
Index: branches/BNC_2.12/Example_Configs/15_Sp3ETRFPPP.bnc
===================================================================
--- branches/BNC_2.12/Example_Configs/15_Sp3ETRFPPP.bnc	(revision 8103)
+++ branches/BNC_2.12/Example_Configs/15_Sp3ETRFPPP.bnc	(revision 8104)
@@ -109,5 +109,5 @@
 trafo_scr=
 trafo_t0=
-uploadAntexFile=Input/igs08.atx
+uploadAntexFile=Input/igs14.atx
 uploadEphHost=
 uploadEphMountpoint=
@@ -126,5 +126,5 @@
 
 [PPP]
-antexFile=Input/igs08.atx
+antexFile=Input/igs14.atx
 audioResponse=
 corrFile=
Index: branches/BNC_2.12/Example_Configs/16_Upload.bnc
===================================================================
--- branches/BNC_2.12/Example_Configs/16_Upload.bnc	(revision 8103)
+++ branches/BNC_2.12/Example_Configs/16_Upload.bnc	(revision 8104)
@@ -109,5 +109,5 @@
 trafo_scr=
 trafo_t0=
-uploadAntexFile=Input/igs08.atx
+uploadAntexFile=Input/igs14.atx
 uploadEphHost=
 uploadEphMountpoint=
Index: branches/BNC_2.12/Example_Configs/17_Combi.bnc
===================================================================
--- branches/BNC_2.12/Example_Configs/17_Combi.bnc	(revision 8103)
+++ branches/BNC_2.12/Example_Configs/17_Combi.bnc	(revision 8104)
@@ -109,5 +109,5 @@
 trafo_scr=
 trafo_t0=
-uploadAntexFile=Input/igs08.atx
+uploadAntexFile=Input/igs14.atx
 uploadEphHost=
 uploadEphMountpoint=
Index: branches/BNC_2.12/Example_Configs/18_CombiPPP.bnc
===================================================================
--- branches/BNC_2.12/Example_Configs/18_CombiPPP.bnc	(revision 8103)
+++ branches/BNC_2.12/Example_Configs/18_CombiPPP.bnc	(revision 8104)
@@ -109,5 +109,5 @@
 trafo_scr=
 trafo_t0=
-uploadAntexFile=Input/igs08.atx
+uploadAntexFile=Input/igs14.atx
 uploadEphHost=
 uploadEphMountpoint=
@@ -123,5 +123,5 @@
 
 [PPP]
-antexFile=Input/igs08.atx
+antexFile=Input/igs14.atx
 audioResponse=
 corrFile=
Index: branches/BNC_2.12/Example_Configs/20_CompareSp3.bnc
===================================================================
--- branches/BNC_2.12/Example_Configs/20_CompareSp3.bnc	(revision 8103)
+++ branches/BNC_2.12/Example_Configs/20_CompareSp3.bnc	(revision 8104)
@@ -22,5 +22,5 @@
 miscMount=
 miscPort=
-mountPoints=
+mountPoints=@Invalid()
 ntripVersion=1
 adviseObsRate=
@@ -89,5 +89,5 @@
 serialStopBits=1
 sp3CompExclude="G05,R18"
-sp3CompFile="/Users/weber/BNC/Example_Configs/Input/C2T18283.SP3,/Users/weber/BNC/Example_Configs/Input/RT218283.SP3"
+sp3CompFile="./Input/C2T18283.SP3,./Input/RT218283.SP3"
 sp3CompOutLogFile=Output/compareSP3.log
 sslCaCertPath=
@@ -121,4 +121,6 @@
 uploadSamplSp3=1
 outWait=5
+ephV3filenames=0
+rnxV3filenames=0
 
 [PPP]
@@ -156,5 +158,5 @@
 snxtroAc=
 snxtroSol=
-staTable=
+staTable=",,"
 useGoogleMap=false
 useOpenStreetMap=false