Index: trunk/BNC/src/bnccore.cpp
===================================================================
--- trunk/BNC/src/bnccore.cpp	(revision 8202)
+++ trunk/BNC/src/bnccore.cpp	(revision 8203)
@@ -269,5 +269,5 @@
     QString decoder = hlp[1];
     comments.append("Source: " + decoder +
-                    " " + url.encodedHost() +
+                    " " + QUrl::toAce(url.host()) +
                     "/" + url.path().mid(1).toLatin1());
   }
Index: trunk/BNC/src/bnchlpdlg.cpp
===================================================================
--- trunk/BNC/src/bnchlpdlg.cpp	(revision 8202)
+++ trunk/BNC/src/bnchlpdlg.cpp	(revision 8203)
@@ -38,4 +38,7 @@
  *
  * -----------------------------------------------------------------------*/
+
+#include <QHBoxLayout>
+#include <QVBoxLayout>
 
 #include "bnchlpdlg.h"
Index: trunk/BNC/src/bnchlpdlg.h
===================================================================
--- trunk/BNC/src/bnchlpdlg.h	(revision 8202)
+++ trunk/BNC/src/bnchlpdlg.h	(revision 8203)
@@ -29,4 +29,7 @@
 #include <QtGui>
 
+#include <QDialog>
+#include <QPushButton>
+
 class bncHtml;
 
Index: trunk/BNC/src/bncnetqueryrtp.cpp
===================================================================
--- trunk/BNC/src/bncnetqueryrtp.cpp	(revision 8202)
+++ trunk/BNC/src/bncnetqueryrtp.cpp	(revision 8203)
@@ -48,5 +48,5 @@
   if (_socket) {
     QByteArray reqStr = "TEARDOWN " + _url.toEncoded() + " RTSP/1.0\r\n"
-                      + "CSeq: " + QString("%1").arg(++_CSeq).toAscii() + "\r\n"
+                      + "CSeq: " + QString("%1").arg(++_CSeq).toLatin1() + "\r\n"
                       + "Session: " + _session + "\r\n"
                       + "\r\n";
@@ -60,5 +60,5 @@
   if (_socket) {
     QByteArray reqStr = "GET_PARAMETER " + _url.toEncoded() + " RTSP/1.0\r\n"
-                      + "CSeq: " + QString("%1").arg(++_CSeq).toAscii() + "\r\n"
+                      + "CSeq: " + QString("%1").arg(++_CSeq).toLatin1() + "\r\n"
                       + "Session: " + _session + "\r\n"
                       + "\r\n";
@@ -126,11 +126,11 @@
   // --------------
   if (_socket->waitForConnected(timeOut)) {
-    QString uName = QUrl::fromPercentEncoding(_url.userName().toAscii());
-    QString passW = QUrl::fromPercentEncoding(_url.password().toAscii());
+    QString uName = QUrl::fromPercentEncoding(_url.userName().toLatin1());
+    QString passW = QUrl::fromPercentEncoding(_url.password().toLatin1());
     QByteArray userAndPwd;
     
     if(!uName.isEmpty() || !passW.isEmpty()) {
-      userAndPwd = "Authorization: Basic " + (uName.toAscii() + ":" +
-      passW.toAscii()).toBase64() + "\r\n";
+      userAndPwd = "Authorization: Basic " + (uName.toLatin1() + ":" +
+      passW.toLatin1()).toBase64() + "\r\n";
     }
 
@@ -141,9 +141,9 @@
     _udpSocket->bind(0);
     connect(_udpSocket, SIGNAL(readyRead()), _eventLoop, SLOT(quit()));
-    QByteArray clientPort = QString("%1").arg(_udpSocket->localPort()).toAscii();
+    QByteArray clientPort = QString("%1").arg(_udpSocket->localPort()).toLatin1();
 
     QByteArray reqStr;
     reqStr = "SETUP " + _url.toEncoded() + " RTSP/1.0\r\n"
-           + "CSeq: " + QString("%1").arg(++_CSeq).toAscii() + "\r\n"
+           + "CSeq: " + QString("%1").arg(++_CSeq).toLatin1() + "\r\n"
            + "Ntrip-Version: Ntrip/2.0\r\n"
            + "Ntrip-Component: Ntripclient\r\n"
@@ -167,9 +167,9 @@
         while (!line.isEmpty()) {
           if (line.indexOf("Session:") == 0) {
-            _session = line.mid(9).toAscii();
+            _session = line.mid(9).toLatin1();
           }
           int iSrv = line.indexOf("server_port=");
           if (iSrv != -1) {
-            serverPort = line.mid(iSrv+12).toAscii();
+            serverPort = line.mid(iSrv+12).toLatin1();
           }
           line = in.readLine();
@@ -203,5 +203,5 @@
 
           reqStr = "PLAY " + _url.toEncoded() + " RTSP/1.0\r\n"
-                 + "CSeq: " + QString("%1").arg(++_CSeq).toAscii() + "\r\n"
+                 + "CSeq: " + QString("%1").arg(++_CSeq).toLatin1() + "\r\n"
                  + "Session: " + _session + "\r\n"
                  + "\r\n";
Index: trunk/BNC/src/bncnetqueryv1.cpp
===================================================================
--- trunk/BNC/src/bncnetqueryv1.cpp	(revision 8202)
+++ trunk/BNC/src/bncnetqueryv1.cpp	(revision 8203)
@@ -91,6 +91,6 @@
         _socket = 0;
         _status = error;
-        emit newMessage(_url.path().toAscii().replace(0,1,"")
-                        + ": " + errStr.toAscii(), true);
+        emit newMessage(_url.path().toLatin1().replace(0,1,"")
+                        + ": " + errStr.toLatin1(), true);
         return;
       }
@@ -157,5 +157,5 @@
      _socket = 0;
      _status = error;
-     emit newMessage(_url.path().toAscii().replace(0,1,"")
+     emit newMessage(_url.path().toLatin1().replace(0,1,"")
                      + ": Write timeout", true);
      return;
@@ -208,11 +208,11 @@
   // Send Request
   // ------------
-  QString uName = QUrl::fromPercentEncoding(_url.userName().toAscii());
-  QString passW = QUrl::fromPercentEncoding(_url.password().toAscii());
+  QString uName = QUrl::fromPercentEncoding(_url.userName().toLatin1());
+  QString passW = QUrl::fromPercentEncoding(_url.password().toLatin1());
   QByteArray userAndPwd;
 
   if(!uName.isEmpty() || !passW.isEmpty()) {
-    userAndPwd = "Authorization: Basic " + (uName.toAscii() + ":" +
-    passW.toAscii()).toBase64() + "\r\n";
+    userAndPwd = "Authorization: Basic " + (uName.toLatin1() + ":" +
+    passW.toLatin1()).toBase64() + "\r\n";
   }
 
@@ -220,12 +220,12 @@
   if ( proxyHost.isEmpty() ) {
     if (_url.path().indexOf("/") != 0) _url.setPath("/");
-    reqStr = "GET " + _url.path().toAscii() + " HTTP/1.0\r\n"
+    reqStr = "GET " + _url.path().toLatin1() + " HTTP/1.0\r\n"
              + "User-Agent: NTRIP BNC/" BNCVERSION " (" BNC_OS ")\r\n"
-             + "Host: " + _url.host().toAscii() + "\r\n"
+             + "Host: " + _url.host().toLatin1() + "\r\n"
              + userAndPwd + "\r\n";
   } else {
     reqStr = "GET " + _url.toEncoded() + " HTTP/1.0\r\n"
              + "User-Agent: NTRIP BNC/" BNCVERSION " (" BNC_OS ")\r\n"
-             + "Host: " + _url.host().toAscii() + "\r\n"
+             + "Host: " + _url.host().toLatin1() + "\r\n"
              + userAndPwd + "\r\n";
   }
@@ -243,5 +243,5 @@
     _socket = 0;
     _status = error;
-    emit newMessage(_url.path().toAscii().replace(0,1,"")
+    emit newMessage(_url.path().toLatin1().replace(0,1,"")
                     + ": Write timeout", true);
     return;
@@ -294,5 +294,5 @@
         _socket = 0;
         _status = error;
-        emit newMessage(_url.path().toAscii().replace(0,1,"") 
+        emit newMessage(_url.path().toLatin1().replace(0,1,"") 
                         + ": Response timeout", true);
         return;
@@ -303,7 +303,7 @@
       _socket = 0;
       _status = error;
-      emit newMessage(_url.path().toAscii().replace(0,1,"") 
+      emit newMessage(_url.path().toLatin1().replace(0,1,"") 
                       + ": Wrong caster response\n" 
-                      + response.join("").toAscii(), true);
+                      + response.join("").toLatin1(), true);
     }
   }
Index: trunk/BNC/src/bncnetqueryv2.cpp
===================================================================
--- trunk/BNC/src/bncnetqueryv2.cpp	(revision 8202)
+++ trunk/BNC/src/bncnetqueryv2.cpp	(revision 8203)
@@ -76,5 +76,5 @@
   if (_reply && _reply->error() != QNetworkReply::NoError) {
     _status = error;
-    emit newMessage(_url.path().toAscii().replace(0,1,"")  +
+    emit newMessage(_url.path().toLatin1().replace(0,1,"")  +
                     ": NetQueryV2: server replied: " +
                     _reply->attribute(QNetworkRequest::HttpReasonPhraseAttribute).toByteArray(),
@@ -144,12 +144,12 @@
   request.setSslConfiguration(sslConfig);
   request.setUrl(_url);
-  request.setRawHeader("Host"         , _url.host().toAscii());
+  request.setRawHeader("Host"         , _url.host().toLatin1());
   request.setRawHeader("Ntrip-Version", "Ntrip/2.0");
-  request.setRawHeader("User-Agent"   , "NTRIP BNC/"BNCVERSION" ("BNC_OS")");
+  request.setRawHeader("User-Agent"   , "NTRIP BNC/" BNCVERSION " (" BNC_OS ")");
   if (!_url.userName().isEmpty()) {
-    QString uName = QUrl::fromPercentEncoding(_url.userName().toAscii());
-    QString passW = QUrl::fromPercentEncoding(_url.password().toAscii());
+    QString uName = QUrl::fromPercentEncoding(_url.userName().toLatin1());
+    QString passW = QUrl::fromPercentEncoding(_url.password().toLatin1());
     request.setRawHeader("Authorization", "Basic " +
-                         (uName + ":" + passW).toAscii().toBase64());
+                         (uName + ":" + passW).toLatin1().toBase64());
   }
   if (!gga.isEmpty()) {
@@ -226,6 +226,11 @@
     msg += QString("Server Certificate Issued by:\n"
                    "%1\n%2\nCannot be verified\n")
+#if QT_VERSION >= 0x050000
+           .arg(cert.issuerInfo(QSslCertificate::OrganizationalUnitName).at(0))
+           .arg(cert.issuerInfo(QSslCertificate::Organization).at(0));
+#else
            .arg(cert.issuerInfo(QSslCertificate::OrganizationalUnitName))
            .arg(cert.issuerInfo(QSslCertificate::Organization));
+#endif
   }
   QListIterator<QSslError> it(errors);
@@ -235,5 +240,5 @@
   }
 
-  BNC_CORE->slotMessage(msg.toAscii(), true);
+  BNC_CORE->slotMessage(msg.toLatin1(), true);
 
   if (_sslIgnoreErrors) {
Index: trunk/BNC/src/bnctableitem.h
===================================================================
--- trunk/BNC/src/bnctableitem.h	(revision 8202)
+++ trunk/BNC/src/bnctableitem.h	(revision 8203)
@@ -29,4 +29,6 @@
 #include <QtGui>
 
+#include <QTableWidgetItem>
+
 class bncGetThread;
 
Index: trunk/BNC/src/bncutils.cpp
===================================================================
--- trunk/BNC/src/bncutils.cpp	(revision 8202)
+++ trunk/BNC/src/bncutils.cpp	(revision 8203)
@@ -170,5 +170,5 @@
       QString rxStr  = it.next();
       QString envVar = rxStr.mid(2,rxStr.length()-3);
-      str.replace(rxStr, qgetenv(envVar.toAscii()));
+      str.replace(rxStr, qgetenv(envVar.toLatin1()));
     }
   }
@@ -307,5 +307,5 @@
   char XOR = 0;
   char Buff[gga.size()];
-  strncpy(Buff, gga.toAscii().data(), gga.size());
+  strncpy(Buff, gga.toLatin1().data(), gga.size());
   int iLen = strlen(Buff);
   for (xori = 0; xori < iLen; xori++) {
@@ -314,5 +314,5 @@
   gga = "$" + gga + QString("*%1").arg(XOR, 2, 16, QLatin1Char('0'));
 
-  return gga.toAscii();
+  return gga.toLatin1();
 }
 
Index: trunk/BNC/src/bnczerodecoder.cpp
===================================================================
--- trunk/BNC/src/bnczerodecoder.cpp	(revision 8202)
+++ trunk/BNC/src/bnczerodecoder.cpp	(revision 8203)
@@ -76,5 +76,5 @@
     delete _out;
     QByteArray fileName = 
-           (_fileName + "_" + currDate.toString("yyMMdd")).toAscii();
+           (_fileName + "_" + currDate.toString("yyMMdd")).toLatin1();
     bncSettings settings;
     if (Qt::CheckState(settings.value("rnxAppend").toInt()) == Qt::Checked) {